require 'hoodimus_prime/endgame'
require 'hoodimus_prime/dice'

module HoodimusPrime

  describe Endgame do
    
    before do
      @endgame = Endgame.new("Becoming Hoodimus Prime")
      
      @goal = 99000
      @balance = 2500
      @project = Project.new("housing initiative", @balance, @goal)
      
      @endgame.add_project(@project)
    end
    
    it "gains funds to the projects if it rolls an even number" do
      Dice.any_instance.stub(:roll).and_return(4)
      
      @endgame.report(2)
      
      @project.balance.should == @balance + (25 * 2)
    end
    
    it "loss of funds to the projects if it rolls an odd number" do
      Dice.any_instance.stub(:roll).and_return(3)
      
      @endgame.report(2)
      
      @project.balance.should == @balance - (15 * 2)
    end
  end
end