require 'hoodimus_prime/project'
require 'hoodimus_prime/spec_helper'

module HoodimusPrime

  describe Project do
    
    before do
      @goal = 99000
      @balance = 2500
      @project = Project.new("Housing Initiative", @balance, @goal)
      $stdout = StringIO.new
    end
    
    it "has an initial goal funding amount" do
      @project.goal.should == 99000
    end
    
    it "computes short as goal amount minus balance amount" do
      @project.short.should == @goal - @balance
    end
    
    it "increases balance by 25 when gains are added" do
      @project.gains
      
      @project.balance.should == @balance + 25
    end
    
    it "decreases balance by 15 when loss are subtracted" do
      @project.loss
      
      @project.balance.should == @balance - 15
    end
    
    it "has a default balance amount of 0" do
      project = Project.new("TEST")
      project.balance.should == 0
    end

  end
end